Update custom account transaction
curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/{transactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"direction": "DEBIT",
"date": "<string>",
"description": "<string>",
"merchant_name": "<string>",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_external_id": "<string>"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/{transactionId}"
payload = {
"amount": 123,
"direction": "DEBIT",
"date": "<string>",
"description": "<string>",
"merchant_name": "<string>",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
direction: 'DEBIT',
date: '<string>',
description: '<string>',
merchant_name: '<string>',
memo: '<string>',
metadata: {
custom_field: 'value',
'any valid json': 'below 1kb',
nested: {'meaning of life': 42, array: []}
},
reference_number: '<string>',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_external_id: '<string>',
vendor_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendor_external_id: '<string>'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "PLAID",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"direction": "DEBIT",
"amount": 123,
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"categorizationStatus": "CATEGORIZED",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Bank Transactions
Update custom account transaction
Update a transaction on a custom account. To manage receipts, use the recorded-transaction PATCH endpoint.
PATCH
/
v1
/
businesses
/
{businessId}
/
custom-accounts
/
{customAccountId}
/
transactions
/
{transactionId}
Update custom account transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the custom account containing the transaction.
The UUID of the transaction to update.
Body
application/json
Transaction amount in cents.
Available options:
CREDIT, DEBIT Example:
"DEBIT"
Transaction date as YYYY-MM-DD or an ISO 8601 timestamp.
Arbitrary JSON data defined by the caller, with a 1KB size constraint.
Example:
{ "custom_field": "value", "any valid json": "below 1kb", "nested": { "meaning of life": 42, "array": [] } }
Single-category categorization payload.
Show child attributes
Show child attributes
Response
Updated transaction.
Show child attributes
Show child attributes